Update payment

Renew the details of a payment when you need it. Indicate the payment ID and send the parameters with the information you want to update.

PUT

https://api.mercadopago.com/v1/payments/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
number

REQUIRED

Unique Payment Identifier, automatically generated by Mercado Pago.
Body
capture
boolean
It is a boolean field found in two-step payments (like debit card). In this type of payment, which is carried out asynchronously, the purchase value is first reserved (capture = false). This amount is captured and not de...Show more
date_of_expiration
string
Payment’s expiration date. The valid format of the attribute is as follows - "yyyy-MM-dd'T'HH:mm:ssz". Ex - 2022-11-17T09:37:52.000-04:00.
status
string
It is the current state of payment. It can be two following types.
pending: The user has not concluded the payment process (for example, to generate a payment by boleto, this payment will be concluded at the moment in which the user makes the non-corresponding payment selected);
approved: The payment was approved and credited;
authorized: The payment was authorized, but still was not captured;
Show more
transaction_amount
number
Product’s cost. The field can contain two decimal places or none.
Response parameters
id
number
Unique Payment Identifier, automatically generated by Mercado Pago.
date_created
string
Payment creation date.
date_approved
string
Payment approval date. A payment can be generated in an intermediate state and then approved, so the creation date will not always coincide with the Approval Date.
date_last_updated
string
Date on which the last payment event was recorded.
Errors

400Error

8

The name of the parameters is wrong

1004

Invalid parameters for payment_method API

2018

The action requested is not valid for the current payment state.

2078

Capture attribute must be boolean.

2079

Invalid value for capture attribute.

403Error

4

The caller is not authorized to access this resource.

3002

The caller is not authorized to perform this action.

404Error

2000

Payment not found.

Provide valid data in the request parameters before executing.
Request
curl -X PUT \
    'https://api.mercadopago.com/v1/payments/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********550113-12*********b4773884a*********e8df16347*********786' \
    -d '{
  "capture": false,
  "status": "canceled",
  "transaction_amount": 24.5
}'
Response
{
  "id": 20359978,
  "date_created": "2019-07-10T14:47:58.000Z",
  "date_approved": "2019-07-10T14:47:58.000Z",
  "date_last_updated": "2019-07-10T14:47:58.000Z",
  "money_release_date": "2019-07-24T14:47:58.000Z",
  "issuer_id": 25,
  "payment_method_id": "visa",
  "payment_type_id": "credit_card",
  "status": "approved",
  "status_detail": "accredited",
  "currency_id": "PEN",
  "description": "Pago Pizza",
  "taxes_amount": 0,
  "shipping_amount": 0,
  "collector_id": 448876418,
  "payer": {
    "id": 123,
    "email": "test_user_pe@testuser.com",
    "identification": {
      "number": "20123456789",
      "type": "RUC"
    },
    "type": "customer"
  },
  "metadata": {},
  "additional_info": {
    "items": [
      {
        "id": "PR0001",
        "title": "Point Mini",
        "description": "Producto Point para cobros con tarjetas mediante bluetooth",
        "picture_url": "https://http2.mlstatic.com/resources/frontend/statics/growth-sellers-landings/device-mlb-point-i_medium2x.png",
        "category_id": "electronics",
        "quantity": 1,
        "unit_price": "24.50"
      }
    ],
    "payer": {
      "registration_date": "2019-01-01T15:01:01.000Z"
    },
    "shipments": {
      "receiver_address": {
        "street_name": "Av das Nacoes Unidas",
        "street_number": "276",
        "zip_code": "15073",
        "city_name": "Lima",
        "state_name": "Lima"
      }
    }
  },
  "external_reference": "MP0001",
  "transaction_amount": "24.50",
  "transaction_amount_refunded": 0,
  "coupon_amount": 0,
  "transaction_details": {
    "net_received_amount": 56,
    "total_paid_amount": "50.00",
    "overpaid_amount": 0,
    "installment_amount": 58
  },
  "fee_details": [
    {
      "type": "coupon_fee",
      "amount": 2,
      "fee_payer": "payer"
    }
  ],
  "statement_descriptor": "MercadoPago",
  "installments": 1,
  "card": {
    "id": null,
    "first_six_digits": null,
    "last_four_digits": null,
    "expiration_month": null,
    "expiration_year": null,
    "date_created": "2019-07-10T14:47:58.000Z",
    "date_last_updated": "2019-07-10T14:47:58.000Z",
    "cardholder": {
      "name": null,
      "identification": {
        "number": "20123456789",
        "type": "RUC"
      }
    }
  },
  "notification_url": "https://www.suaurl.com/notificacoes/",
  "processing_mode": "aggregator",
  "point_of_interaction": {
    "type": "visa",
    "application_data": {
      "name": "NAME_SDK",
      "version": "VERSION_NUMBER"
    }
  }
}